Bug 203874 - loader gets SIGSEGV while setting up wireless networking
loader gets SIGSEGV while setting up wireless networking
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 02:15 EDT by Dave Vasilevsky
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 22:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Vasilevsky 2006-08-24 02:15:35 EDT
Description of problem:
During installation, 'loader' asks for the ESSID and WEP password for my
wireless network. When I give an answer, loader receives a SIGSEGV and
installation is aborted.

How reproducible: Always

Steps to Reproduce:
1.Boot FC6test2 boot.iso CD.
2.Proceed through yaboot, and language selection.
3. When asked for installation method, choose HTTP.
4. When asked which network interface to configure, choose eth1 for my Airport card.
5. When asked for ESSID and WEP key, enter actual ESSID--no key is used as
network is open.

Actual results:
'loader' crashes, with text:

loader recieved SIGSEGV! Backtrace:
[0x1000037c]
[0x100374]
[0x1017b930]
[0x1001ad44]
[0x100029f8]
[0x101410f4]
[0x10141290]
install exited abnormally ...

System then reboots.


Expected results:
Installer detects network, proceeds to DHCP vs. static.

Additional info:
- Crash occurs regardless of ESSID given.
- I also experience bug 186601, no idea if it's relevant.
- My hardware is a Mac G4/733 Quicksilver:
http://apple-history.com/?page=gallery&model=g4_quicksilver&performa=off&sort=date&order=ASC

 with Apple Airport card and 896 MB RAM.
Comment 1 Dave Vasilevsky 2006-08-24 21:03:51 EDT
I tried out Rawhide, and this bug does not appear in Rawhide for 24 Aug 2006.
Comment 2 David Cantrell 2006-08-24 22:44:54 EDT
Great, thanks for testing that out.

Note You need to log in before you can comment on or make changes to this bug.